<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}
call_user_func(
	function()
	{
		$_EXTKEY='flexslider';
		// Build extension name vars - used for plugin registration, flexforms and similar
		$extensionName = \TYPO3\CMS\Core\Utility\GeneralUtility::underscoredToUpperCamelCase($_EXTKEY);
		$pluginSignature = strtolower($extensionName) . '_pi1';
		\TYPO3\CMS\Core\Utility\DebugUtility::debug($_EXTKEY);

		\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
			'SotaStudio.' . $_EXTKEY,
			'Pi1',
			'FlexSlider'
		);


		// Clean up the Flexform fields in the backend a bit
		$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist'][$pluginSignature] = 'layout,select_key,splash_layout';
		// Add own flexform stuff.
		$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';

		// Add custom Flexform fields
		TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/flexform.xml');

		// Add static TypoScript
		TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'FlexSlider');

		TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_flexslider_domain_model_flexslider', 'EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_csh_tx_flexslider_domain_model_flexslider.xml');
		TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_flexslider_domain_model_flexslider');

		/**
		* Add Plugin to New Content Element Wizard
		*/
		if (TYPO3_MODE === 'BE') {
			// Add Plugin to CE Wizard
			$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses'][$pluginSignature . '_wizicon'] = 'EXT: flexslider/Resources/Private/Php/class.' . $_EXTKEY . '_wizicon.php';
		}
	});
